Os X Mavericks

  • Hi

    Upgrade or not?......or wait??

    about the monome app of course :-)

    Thanks

    M

  • It all depends on how often you use your monome.
    It's been a pretty steady trend since the release of Lion that every new release kills serialosc. Theres always some new problem with it. I'm going to update right because I do that..... and see what happens.

    EDIT: It actually seems like Apple's download servers are not up to speed yet. I just tried to start download and it said, "Unable to download at this time, try again later."

  • I am currently installing mavericks on my gf's macbook. Will then installing serialosc from source and testing. Will come back with results

  • @alpha
    That's a really good question. I'm not doing a clean install, but if it doesn't seem to work, what's the best way to install with so many different versions now? Install from source? Anything fancy I need setup to compile?

    My download is about 60% right now. I'm installing on an external HD which is why I don't care if it get's messed up.

  • I've been using Mavericks with serialosc 1.2 since developer preview 4. haven't noticed any problems thus far. serialosc 1.3 seems broken though.

    i did not do a clean install

  • elquinto... did you file a bug on github with the problem regarding 1.3?

  • i mentioned it in the thread where serialosc 1.3 was originally posted...

  • i mentioned the bugs in that thread i mean. sorry karaoke, that comment was directed towards thealphanerd.

  • ah. i c, no worries. sorry for being sorry and making you sorry :D

  • Is max playing nice for people too? I noticed on the c74 forum they are saying 'keep away' for now.

  • no issues so far with mavericks and serialosc 1.3.

    opened up max and a monome testing app worked straight away and as expected.

    also live 9 and max 4 live are working fine for me.

    haven't tried out any max audio apps yet though, which is what cycling 74 are saying may be affected.

  • Thanks for reply guys

  • @karokaze

    https://github.com/monome/serialosc

    This is where the source for serialosc is kept. Github has a built in bug reporting system that you can use to report any bugs in a thread specific for solving that bug. It also sends an email to anyone who is watching the project.

    This is way better than posting in a thread here, as those get burried. A bug on github doesn't vanish until it is closed.

  • Just downloaded mavericks. EDW doesn't connect to my arc, but the monome test app does.

    EDIT: i didn't have the latest version of EDW, it works fine now as does flin.

  • Don't upgrade if you use tascam soundcards. Nearly blew my monitors.
    Tascam say wait till they update the drivers.

    I was told to wait but noooo I wanted the shiny new thing.

  • is it more or less bloated than ML? curious about whether they actually streamlined and improved, or just created some grotesque corpulent cyclopean horror from beyond.

    (been reading a lot of Lovecraft)

  • I went straight from SL. Had to mess about with track pad settings etc to get stuff like im used to.

  • im on snow leopard still, basically because everything works on my mac and i havent had the need for iosness on my desktop or any of the bundled functionality. - that said quite a few things dont work with SL anymore so im thinking of taking the plunge to Mavericks.... hoping stuff still works (music, creative code)

  • same as arctic-sunrise it ain't not broken so i'm going to unfix it

    slight lovecraft derail - have people read this

    http://en.wikipedia.org/wiki/H._P._Lovecraft:_Against_the_World,_Against_Life

    ?

    one curmudgeonly racist defends another. it's really good.

  • I managed to run serialOSC on my laptop without any problems. Previous install of 1.2, not a new install.

    Also, Just a quick question/idea:
    I want to install Mavericks on another MacBook I have, but it's "Not compatible" even though it has 4GB of RAM and an Intel Core 2 Duo. When I tried to download from app store it told me I couldn't, but I was wondering:

    Do you think I can download on my MBP, burn an .iso and try to run it that way? I want to do it because I actually use xCode Quite a bit, but the new 5.0 can only be installed on 10.8+

  • @MCDELTAT
    there's a way to get mountain lion on incompatible (intel) macs, i'm sure the same is true for mavericks. try googling it i'm sure you'll find a guide or something.

  • @arctic-sunrise
    precisely. i'm afraid the only reason i'm compelled to upgrade is to deal with software support :-(
    there is zero functionality i want from anything after 10.6.8..

  • tabs on the finder window is nice. heh.

  • @emergency
    yeah that is one of the biggest features for me jajajaja. I'm known to have 4+ finder windows open at once to transfer files, so now I can be clean again.

    Also, really interested in iCloud keychain. I won't lie, for my non-important accounts I use the same password for everything, only my financial things do I use unique-hard passwords, maybe now I can do that.....

    EDIT:
    @elquinto
    Found a guide, but I might not do it now.... I thought it was just fooling the install, but really apple dropped 32-bit support and doesn't even make drivers for the graphics card of the 2007 MacBook, which is what creeps me out most, I hook up my computer to projectors and televisions a lot and to have a hacked together driver sounds bad.
    http://forums.macrumors.com/showthread.php?t=1325709

  • the new previewing of files is so slow for me, lots of issues with input keyboard settings, just annoying stuff you have to google before you can fix.

    Just wait a couple of weeks.

  • @galapagoose i know it sucks really. ive not needed anything from any of the updates...

    as an aside ive been quiet on the monome forum for nearly 3 years (many reasons but im back) but ive dusted off my 40h and just grabbed the latest mlrv and having a jam right now ...... brings back many happy memories, i remem when you first released this version

  • My max for live devices arent working in live, anyone else?

  • maybe check at the ableton forums? i'm sure they've got a huge forum thread going about it

  • delete and reinstall max, all good now

  • Just got a new MBPro today running 10.9/Mavericks and can't get serialosc 1.3 installed. Fails at the very end of the installer after it asks for my PW. I'll report it on the GITHUB page.

  • i am running max 6.1 and live with no problems on maverick with serialosc 1.2a.. 1.3 installs but breaks when i try to connect to my device. :(

  • Actually, the installer doesn't seem to be part of the active serialosc repository...so I guess my bug report stays here.

    Serialosc 1.3 installer fails at final steps of installer. Does not crash, just displays message; something like: "there was a problem, serialosc was not installed"

    OSX 10.9

  • emergencyofstate, your problem is mine too.

  • Have those of you that upgraded on top of an existing serialosc 1.3 had it work fine?

  • Latest version of max, serial osc 1.3
    and mavericks = FAIL

    non of the apps recognise the controller : ( what am I doing wrong here.

  • ahhh I tried the 1.2a although when you look in the installer it says 1.1 but sadly still nothing. Looks like it might be time to sell up : (

  • I'm having a hard time getting my monome to work. I bought few months ago and am quite a newbie. I had tried mlrv some times - as a busy amateur musician i am - but can't use it in Mavericks now. MLRV keeps crashing before loading it completely. Tried Max5 but then there's no "connect" button. That might be such a stupid question, but any clue how to get this to work? Thanks in advance, guys!

  • you need to install serialosc.maxpat in your max folder. see: http://monome.org/docs/setup:mac (point 4)

  • Downloading it! I guess I also have to install "Max5" full version, right? Even though I won't use it at the moment. I had only RunTime version on my computer and couldn't find Patches folder. I'll be back later. Cheers!

  • you can put the .maxpat anywhere inside the Max5 folder. /patches is merely a suggestion but it doesn't exist in runtime installs. just place it in /Max5 and you should be fine

  • just did it! thanks a million for your help. i'll be busy the whole weekend now having fun on my monome! wooohoooo! cheers mate! have a nice day!